# __gnu_cxx::_Rope_char_consumer< _CharT > Class Template Reference

Inheritance diagram for __gnu_cxx::_Rope_char_consumer< _CharT >:

List of all members.

## Detailed Description

### template<class _CharT>
class __gnu_cxx::_Rope_char_consumer< _CharT >

Definition at line 297 of file rope.

## Public Member Functions

- virtual bool operator() (const _CharT *__buffer, size_t __len)=0
- virtual ~_Rope_char_consumer ()

The documentation for this class was generated from the following file:

- rope